Get Job Run
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs/{jobRunName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs/{jobRunName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs/{jobRunName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"name": "<string>",
"applicationName": "<string>",
"deploymentVersion": "<string>",
"createdAt": 123,
"command": "<string>",
"totalRetries": 123,
"endTime": 123,
"duration": 123,
"error": "<string>",
"triggeredBy": "<string>",
"triggeredBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"exitCode": 123,
"sparkUi": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"tenantName": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Jobs
Get Job Run
Get Job Run for provided jobRunName and jobId
GET
/
api
/
svc
/
v1
/
jobs
/
{jobId}
/
runs
/
{jobRunName}
Get Job Run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Application Id of JOB
Job run name of the application
Response
Return JobRun details of the provided jobRunName
JobRun
Show child attributes
Show child attributes
Was this page helpful?
⌘I